Bug 242147 - Lots of boot failure messages
Summary: Lots of boot failure messages
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Keywords:
: 240015 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 20:36 UTC by Tim Burke
Modified: 2008-02-27 19:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 15:25:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Burke 2007-06-01 20:36:06 UTC
(this may end up needing multiple bugzillas, but....)

Jeff Burke notes that there's a lot more boot failure messages when running the
realtime kernel. He did an apples-to-apples comparison of vanilla 2.6.21 and the
same with the realtime patches applied.

For example, here's what he sees in dmesg when booting vanilla
kernel-rt-2.6.21-20.el5rtvanilla.i686
 - i386 puma1.lab.boston.redhat.com Pass
******** Potential Issues dmesg ********
rtc_cmos: probe of 00:04 failed with error -16
rtc_cmos: probe of 00:04 failed with error -16
****************************************
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112333
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112334

kernel-rt-2.6.21-20.el5rtvanilla.i686
 - i386 ibm-morrison.lab.boston.redhat.com Pass
******** Potential Issues dmesg ********
rtc_cmos: probe of 00:08 failed with error -16
rtc_cmos: probe of 00:08 failed with error -16
****************************************
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112358
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112360
------------------------------------------------------------------------------

In contrast, here's what he sees w/ RHEL-RT:

kernel-rt-2.6.21-20.el5rt.i686
 - i386 ibm-taroko.rhts.boston.redhat.com Aborted - Fail
 - System information:
******** Potential Issues dmesg ********
rtc_cmos: probe of 00:06 failed with error -16
PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:01:00.0
rtc_cmos: probe of 00:06 failed with error -16
****************************************
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112352
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112354
 - AMTU test - Memory Test FAILED!
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112359
 - Racer test - kernel BUG at mm/mmap.c:2005! OOPS FAILED!
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112559

kernel-rt-2.6.21-20.el5rt.i686
 - i386 groucho.lab.boston.redhat.com Aborted - Fail
 - System Information:
******** Potential Issues dmesg ********
aer: probe of 0000:00:03.0:pcie01 failed with error 2
aer: probe of 0000:00:04.0:pcie01 failed with error 2
i8042: probe of i8042 failed with error -5
e752x_edac: probe of 0000:00:00.0 failed with error -5
rtc_cmos: probe of 00:07 failed with error -16
PCI: Device 0000:00:00.0 not available because of resource collisions
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:03.0:pcie01 failed with error 2
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:04.0:pcie01 failed with error 2
i8042: probe of i8042 failed with error -5
e752x_edac: probe of 0000:00:00.0 failed with error -5
rtc_cmos: probe of 00:07 failed with error -16
****************************************
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112339
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112340
 - Racer test - OOM killed (log unreadable)
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112641

----------------------------------------------------------------------
additional realtime boot error spewage:

ernel-rt-2.6.21-20.el5rt.x86_64
 - x86_64 ibm-ls21-7972-01.lab.boston.redhat.com Aborted Fail
******** Potential Issues dmesg ********
aer: probe of 0000:00:08.0:pcie01 failed with error 2
aer: probe of 0000:00:09.0:pcie01 failed with error 2
aer: probe of 0000:00:0a.0:pcie01 failed with error 2
aer: probe of 0000:00:0b.0:pcie01 failed with error 2
rtc_cmos: probe of 00:07 failed with error -16
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:08.0:pcie01 failed with error 2
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:09.0:pcie01 failed with error 2
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:0a.0:pcie01 failed with error 2
Evaluate _OSC Set fails. Status = 0x0005
Evaluate _OSC Set fails. Status = 0x0005
aer_init: AER service init fails - Run ACPI _OSC fails
aer: probe of 0000:00:0b.0:pcie01 failed with error 2
rtc_cmos: probe of 00:07 failed with error -16
bnx2: eth1: No interrupt was generated using MSI, switching to INTx
mode. Please report this failure to the PCI maintainer and include
system chipset information.
****************************************
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112381
http://rhts.lab.boston.redhat.com/cgi-bin/rhts/test_log.cgi?id=112382

Comment 1 Tim Burke 2007-06-07 19:35:41 UTC
*** Bug 240015 has been marked as a duplicate of this bug. ***

Comment 2 Luis Claudio R. Goncalves 2007-08-13 12:14:59 UTC
Is this a valid bug nowadays?

Comment 3 Jeff Burke 2007-08-13 20:00:36 UTC
Luis,
  We need to filter as much of this as possible. It will ony result in
uneeded/unwanted support calls.


Jeff

Comment 4 Alan Cox 2007-08-14 00:02:37 UTC
Jeff - does it occur with current kernels is I think what was meant


Comment 5 Alan Cox 2007-09-10 15:25:03 UTC
Closing due to lack of response



Note You need to log in before you can comment on or make changes to this bug.